<?php
function dbx_innoship_settings_callback(){
    ?>
    <div class="header">
        <img src="<?=plugin_dir_url( __FILE__ ) ?>assets/logo.svg ?>" class="logo" ?>
        <h1>Setări Innoship</h1>
    </div>
    <?php
}
function dbx_innoship_adv_callback(){
}
function dbx_innoship_auth_key_callback(){
        $settings = (array) get_option( 'dbx-innoship-plugin-settings' );
	    $field = 'dbx_innoship_auth_key';  
	    $value = isset($settings[$field]) ? esc_attr($settings[$field]) : '';
	    /*echo "<div class='licence'><label for='dbx-innoship-plugin-settings[$field]'> Licența DBX innoship Courier</label>";
	    echo "<input type='text' name='dbx-innoship-plugin-settings[$field]' value='$value' /></div>";
	    	    echo '<div class="margine-jos">
	    <button class="button button-primary activeaza-dbx" name="activate_dbx_api" value="activate_dbx_api" type="button"><b>ACTIVEAZĂ LICENȚA</b></button>
	    <button class="button button-primary valideaza-dbx" name="validate_dbx_api" value="validate_dbx_api" type="button"><b>VALIDEAZĂ LICENȚA</b></button>
	    <button class="button button-primary dezactiveaza-dbx" name="deactivate_dbx_api" value="deactivate_dbx_api" type="button"><b>DEZACTIVEAZĂ LICENȚA</b></button>';
	    echo '<div id="response-dbx" style="display:none"><span style="color:red;text-align:center;" class="error_text"></span><span class="expire_date" style="font-weight:bold;color:red;"></span></div>';
	    echo '</div>';*/
}
function dbx_innoship_activation_id_callback(){
    $settings = (array) get_option( 'dbx-innoship-plugin-settings' );
	$field = 'dbx_innoship_activation_id';  
	$value = isset($settings[$field]) ? esc_attr($settings[$field]) : '';
	echo "<div class='element-option'>";
	//echo "<input type='hidden' class='activation_id' name='dbx-innoship-plugin-settings[$field]' value='$value' /></div>";
}
function dbx_innoship_validate_callback(){
    $settings = (array) get_option( 'dbx-innoship-plugin-settings' );
	$field = 'dbx_innoship_validate';  
	$value = isset($settings[$field]) ? esc_attr($settings[$field]) : '';
	echo "<div class='element-option'>";
	//echo "<input type='hidden' class='license_value' name='dbx-innoship-plugin-settings[$field]' value='$value' /></div>";
}
function dbx_innoship_api_key_callback(){
    $settings = (array) get_option( 'dbx-innoship-plugin-settings' );
	$field = 'dbx_innoship_api_key';  
	$value = isset($settings[$field]) ? esc_attr($settings[$field]) : '';
    echo "<div class='element-option inactive'><label for='dbx-innoship-plugin-settings[$field]'> Api Key Innoship </label>";
    echo "<input type='text' name='dbx-innoship-plugin-settings[$field]' value='$value' /></div>";    
}
function dbx_innoship_external_location_callback (){
    $settings = (array) get_option( 'dbx-innoship-plugin-settings' );
	$field = 'dbx_innoship_external_location';  
	$locationsAPI   = (new InnoshipAPI)->getClientLocations();
	$locations = json_decode($locationsAPI);
    echo "<div class='element-option inactive'><label for='dbx-innoship-plugin-settings[$field]'>External Location ID </label>";
   echo "<select id='dbx-innoship-plugin-settings[$field]' name='dbx-innoship-plugin-settings[$field]'>";
	foreach($locations as $key=>$item) {
	$selected = ($settings[$field]==$item->externalLocationId) ? 'selected="selected"' : '';
	echo "<option value='$item->externalLocationId' $selected>$item->name</option>";
	}
	echo "</select></div>";  
}
function dbx_innoship_serviciu_callback(){
    $settings = (array) get_option( 'dbx-innoship-plugin-settings' );
	$field = 'dbx_innoship_serviciu';  
	$items = array(
	    '1' => 'Standard Home Next Day Delivery (Including Pick-up)',
	    '2' => 'eMag Marketplace',
	    '3' => 'Lockers',
	    '4' => 'PickUp DropOff (PUDO)',
	    '5' => 'Standard international shipping'
	    );
	echo "<div class='element-option inactive'><label for='dbx-innoship-plugin-settings[$field]'>Tip Serviciu </label>";
	echo "<select id='dbx-innoship-plugin-settings[$field]' name='dbx-innoship-plugin-settings[$field]'>";
	foreach($items as $key=>$item) {
	$selected = ($settings[$field]==$key) ? 'selected="selected"' : '';
	echo "<option value='$key' $selected>$item</option>";
	}
	echo "</select></div>";
}
function dbx_innoship_tip_plata_callback(){
    $settings = (array) get_option( 'dbx-innoship-plugin-settings' );
	$field = 'dbx_innoship_tip_plata';
	$items = array(
	    'bank' => 'Cont Colector',
	    'cod'  => 'Numerar'
	    );
    echo "<div class='element-option inactive'><label for='dbx-innoship-plugin-settings[$field]'>Tipul de plată </label>";
    echo "<select id='dbx-innoship-plugin-settings[$field]' name='dbx-innoship-plugin-settings[$field]'>";
	foreach($items as $key=>$item) {
	$selected = ($settings[$field]==$key) ? 'selected="selected"' : '';
	echo "<option value='$key' $selected>$item</option>";
	}
	echo "</select></div>";
}
function dbx_innoship_dc_callback(){
    $settings = (array) get_option( 'dbx-innoship-plugin-settings' );
	$field = 'dbx_innoship_dc';
	$items = array(
	    '0' => 'Nu',
	    '1' => 'Da'
	    );
    echo "<div class='element-option inactive'><label for='dbx-innoship-plugin-settings[$field]'>Deschidere Colet </label>";
    echo "<select id='dbx-innoship-plugin-settings[$field]' name='dbx-innoship-plugin-settings[$field]'>";
	foreach($items as $key=>$item) {
	$selected = ($settings[$field]==$key) ? 'selected="selected"' : '';
	echo "<option value='$key' $selected>$item</option>";
	}
	echo "</select></div>"; 
}
function dbx_innoship_ls_callback(){
    $settings = (array) get_option( 'dbx-innoship-plugin-settings' );
	$field = 'dbx_innoship_ls';
	$items = array(
	    '0' => 'Nu',
	    '1' => 'Da'
	    );
    echo "<div class='element-option inactive'><label for='dbx-innoship-plugin-settings[$field]'>Livrare Sâmbătă </label>";
    echo "<select id='dbx-innoship-plugin-settings[$field]' name='dbx-innoship-plugin-settings[$field]'>";
	foreach($items as $key=>$item) {
	$selected = ($settings[$field]==$key) ? 'selected="selected"' : '';
	echo "<option value='$key' $selected>$item</option>";
	}
	echo "</select></div>";
}
function dbx_innoship_format_awb_callback(){
    $settings = (array) get_option( 'dbx-innoship-plugin-settings' );
	$field = 'dbx_innoship_format_awb';
	$items = array(
	    'A4' => 'A4',
	    'A6' => 'A6'
	    );
    echo "<div class='element-option inactive'><label for='dbx-innoship-plugin-settings[$field]'>Format AWB </label>";
    echo "<select id='dbx-innoship-plugin-settings[$field]' name='dbx-innoship-plugin-settings[$field]'>";
	foreach($items as $key=>$item) {
	$selected = ($settings[$field]==$key) ? 'selected="selected"' : '';
	echo "<option value='$key' $selected>$item</option>";
	}
	echo "</select></div>";
}
function dbx_innoship_nr_colete_callback(){
    $settings = (array) get_option( 'dbx-innoship-plugin-settings' );
	$field = 'dbx_innoship_nr_colete';
	$value = isset($settings[$field]) ? esc_attr($settings[$field]) : '';
	echo "<div class='element-option inactive'><label for='dbx-innoship-plugin-settings[$field]'> Nr. Colete Implicit </label>";
    echo "<input type='text' name='dbx-innoship-plugin-settings[$field]' value='$value' /></div>";   
}
function dbx_innoship_platitor_callback(){
    $settings = (array) get_option( 'dbx-innoship-plugin-settings' );
	$field = 'dbx_innoship_platitor';
	$items = array(
	    'Sender' => 'Expeditor',
	    'Recipient' => 'Destinatar'
	    );
    echo "<div class='element-option inactive'><label for='dbx-innoship-plugin-settings[$field]'>Plată Transport </label>";
    echo "<select id='dbx-innoship-plugin-settings[$field]' name='dbx-innoship-plugin-settings[$field]'>";
	foreach($items as $key=>$item) {
	$selected = ($settings[$field]==$key) ? 'selected="selected"' : '';
	echo "<option value='$key' $selected>$item</option>";
	}
	echo "</select></div>";
}
function dbx_innoship_livrare_callback(){
    $settings = (array) get_option( 'dbx-innoship-plugin-settings' );
	$field = 'dbx_innoship_livrare';
	$items = array(
	    '1' => 'Da',
	    '0' => 'Nu'
	    );
    echo "<div class='element-option inactive'><label for='dbx-innoship-plugin-settings[$field]'>Activare Metodă de Livrare</label>";
    echo "<select id='dbx-innoship-plugin-settings[$field]' name='dbx-innoship-plugin-settings[$field]'>";
	foreach($items as $key=>$item) {
	$selected = ($settings[$field]==$key) ? 'selected="selected"' : '';
	echo "<option value='$key' $selected>$item</option>";
	}
	echo "</select></div>";
}
function dbx_innoship_pickup_callback(){
    $settings = (array) get_option( 'dbx-innoship-plugin-settings' );
	$field = 'dbx_innoship_pickup';
	$items = array(
	    '1' => 'Da',
	    '0' => 'Nu'
	    );
    echo "<div class='element-option inactive'><label for='dbx-innoship-plugin-settings[$field]'>Activare Ridicare Personală<span class='flag'>Faza de testare</span></label>";
    echo "<select id='dbx-innoship-plugin-settings[$field]' name='dbx-innoship-plugin-settings[$field]'>";
	foreach($items as $key=>$item) {
	$selected = ($settings[$field]==$key) ? 'selected="selected"' : '';
	echo "<option value='$key' $selected>$item</option>";
	}
	echo "</select></div>";
}
function dbx_innoship_autogenerate_callback(){
        $settings = (array) get_option( 'dbx-innoship-plugin-settings' );
	    $field = 'dbx_innoship_autogenerate';  
	    $value = isset($settings[$field]) ? esc_attr($settings[$field]) : '';
	    $items = array("Da", "Nu");
        echo "<div class='element-option inactive'><label for='dbx-innoship-plugin-settings[$field]'> Generare automată AWB</label>";
        echo "<select id='dbx-innoship-plugin-settings[$field]' name='dbx-innoship-plugin-settings[$field]'>";
        foreach($items as $item) {
		$selected = ($settings[$field]==$item) ? 'selected="selected"' : '';
		echo "<option value='$item' $selected>$item</option>";
	    }
        echo "</select></div>";
        echo '<span class="explicatie inactive"> ***Alege dacă vrei sau nu să generezi automat AWB-ul Innoship atunci când se crează o nouă comandă și primește statusul <b>În Procesare</b></span>';
}
function dbx_innoship_update_comanda_callback(){
        $settings = (array) get_option( 'dbx-innoship-plugin-settings' );
	    $field = 'dbx_innoship_update_comanda';  
	    $value = isset($settings[$field]) ? esc_attr($settings[$field]) : '';
	    $items = array("Da", "Nu");
        echo "<div class='element-option inactive'><label for='dbx-innoship-plugin-settings[$field]'> Actualizezi Statusul Comenzii?</label>";
        echo "<select id='dbx-innoship-plugin-settings[$field]' name='dbx-innoship-plugin-settings[$field]'>";
        foreach($items as $item) {
		$selected = ($settings[$field]==$item) ? 'selected="selected"' : '';
		echo "<option value='$item' $selected>$item</option>";
	    }
        echo "</select></div>";
        echo '<span class="explicatie inactive"> ***Alege dacă vrei sau nu să actualizezi statusul comenzii cu statusul "Comandă Finalizată" după generarea awb-ului.</span>';
}
function dbx_innoship_update_mail_callback(){
        $settings = (array) get_option( 'dbx-innoship-plugin-settings' );
	    $field = 'dbx_innoship_update_mail';  
	    $value = isset($settings[$field]) ? esc_attr($settings[$field]) : '';
	    $items = array("Da", "Nu");
        echo "<div class='element-option inactive'><label for='dbx-innoship-plugin-settings[$field]'> Detalii AWB în E-mail</label>";
        echo "<select id='dbx-innoship-plugin-settings[$field]' name='dbx-innoship-plugin-settings[$field]'>";
        foreach($items as $item) {
		$selected = ($settings[$field]==$item) ? 'selected="selected"' : '';
		echo "<option value='$item' $selected>$item</option>";
	    }
        echo "</select></div>";
        echo '<span class="explicatie inactive"> ***Alegeți dacă vreți sau nu să trimiteți informații legate de AWB, atunci când statusul comenzii este "Comandă Finalizată".</span>';
}
function dbx_innoship_text_mail_callback(){
    $settings = (array) get_option( 'dbx-innoship-plugin-settings' );
    $field = 'dbx_innoship_text_mail';  
    $value = isset($settings[$field]) ? esc_attr($settings[$field]) : '';
    echo "<div class='element-option inactive'><label for='dbx-innoship-plugin-settings[$field]'> Conținut E-mail</label>";
    echo "<textarea id='dbx-innoship-plugin-settings[$field]' name='dbx-innoship-plugin-settings[$field]' rows='4' type='textarea' placeholder='Comanda dumneavoastra a fost expediată prin serviciul de curierat [nume-curier] și se află în curs de livrare.Nota de transport(AWB) are numărul: [nr-awb] și poate fi urmărită aici: [buton-urmarire]'>{$value}</textarea></div>";
    echo '<span class="explicatie inactive"> Folosiți următoarele scurtături:<br/> Nume Curier -> [nume-curier]<br/> Număr awb -> [nr-awb]<br/> Buton Urmărire AWB -> [buton-urmarire]'.'</span><br/>';
    echo '<span class="explicatie inactive"> ***Acest text va fi adăugat la template-ul e-mail-ului trimis atunci când statusul comenzii este "Comandă Finalizată".</span>';
}