<?php
add_filter('woocommerce_shipping_methods', 'add_dbx_innoship_shipping_method');
function add_dbx_innoship_shipping_method($methods){
    $settings = (array) get_option( 'dbx-innoship-plugin-settings' );
    $pickup = $settings['dbx_innoship_pickup'];
    $delivery = $settings['dbx_innoship_livrare'];
    if($delivery == 1){
    $methods[] = 'Innoship_Shipping_Method';
    }
    if($pickup == 1){
    $methods[] = 'Innoship_Pickup_Shipping_Method';
    }
return $methods;
}
add_action( 'woocommerce_review_order_before_cart_contents', 'dbx_innoship_clear_wc_shipping_rates_cache' , 10 );
add_action( 'woocommerce_after_checkout_validation', 'dbx_innoship_clear_wc_shipping_rates_cache' , 10 );
function dbx_innoship_clear_wc_shipping_rates_cache(){
    $packages = WC()->cart->get_shipping_packages();
    foreach ($packages as $key => $value) {
        $shipping_session = "shipping_for_package_$key";
        unset(WC()->session->$shipping_session);
    }
}
add_action( 'woocommerce_checkout_update_order_meta', function ( $order_id ) {
        if ( ! empty( $_POST['dbx_innoship_pickup_pudo'] ) ) {
            update_post_meta( $order_id, 'dbx_innoship_pickup_pudo', sanitize_text_field( $_POST['dbx_innoship_pickup_pudo'] ) );
        }
    });