jQuery(function ($) {
    $('<option>').val('bulkGenerateInnoship').text('Generează AWB Innoship').appendTo("select[name='action'], select[name='action2']");
    $('#doaction, #doaction2').click(function (e) {
        let select = $(this).siblings('select');
        if (select.val() === 'bulkGenerateInnoship') {
            e.preventDefault();
            var urls = [];
            let checked_inputs = $('input[name="post[]"]:checked');
            checked_inputs.each(function (key, element) {
                let generate = $(element).parents('th').siblings('td.awb_innoship_col');
                let url = generate.find('a.button-generate').attr('href');
                if (undefined !== url) {
                    generate.find('img').attr('src', '/wp-admin/images/spinner.gif');
                    generate.attr('disabled', 'disabled');
                    generate.css('pointer-events', 'none');
                    urls.push(window.location.origin + url);
                }
            });
            var activeAjaxConnections = 0;
            $.each(urls, function (i, url) {
                setTimeout(function () {
                    $.ajax(
                        url,
                        {
                            beforeSend: function (xhr) {
                                activeAjaxConnections++;
                            },
                            type: 'GET',
                            success: function (data) {
                                activeAjaxConnections--;
                                if (0 == activeAjaxConnections) {
                                    window.location.reload();
                                }
                            },
                            error: function () {
                                activeAjaxConnections--;
                                if (0 == activeAjaxConnections) {
                                    window.location.reload();
                                }
                            }
                        }
                    );
                }, i * 1000);
            });
        }
    });
});