<style>
    form {
    display: flex;
    flex-flow: row wrap;
    position: relative;
    flex-wrap: wrap;
    gap: 10px;
    }
    .column-wrap {
    width: auto;
    flex: 1 auto;
    flex-flow: row wrap;
    position: relative;
    background: #fff;
    padding: 10px;
    border-radius: 10px;
    margin-top: 20px;
    -webkit-box-shadow: 1px 1px 5px -3px #000000;
    box-shadow: 1px 1px 5px -3px #000000;
    }
    p.submit {
    width: 100%;
    flex-wrap: nowrap;
    flex-flow: row wrap;
    position: relative;
    }
    select {
    min-width: 27%;
    }
    .addon {
    min-height: 27px;
    background: #F5F8F9;
    line-height: 2;
    margin-left: -5px;
    margin-top: -3px;
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
    color: #555;
    padding: 0 5px;
    font-size: 14px;
    font-weight: normal;
    text-align: center;
    vertical-align: middle;
    align-self: center;
    border: 1px solid #8c8f94;
    display: inline-block;
    border-spacing: 0;
    }
    p.submit{
    text-align: center;
    }
    #submit {
    font-size: 17px;
    font-weight: 500;
    padding: 5px 30px;
    border-radius: 10px;
    }
    img.logo {
    max-width: 15%;
    margin-left: auto;
    margin-right: auto;
    }
    .header {
    display: grid;
    background: #fff;
    border-radius: 10px;
    padding: 10px 0;
    -webkit-box-shadow: 1px 1px 5px -3px #000000;
    box-shadow: 1px 1px 5px -3px #000000;
    }
    .header h1{
        text-align:center;
        font-weight: 500;
        color: #000;
        font-size: 2.1em;
    }
    h2 {
    color: #000;
    font-size: 1.7em;
    border-bottom: 1px solid #2271B1;
    padding-bottom: 8px;
    width: fit-content;
    }
    .bottom {
    width: 100%;
    }
    @media only screen and (max-width: 769px){
    img.logo{
        max-width:35%;
    }        
    .column-wrap {
    width: 100%;
    }
    .form-table td{
        display:flex;
    }
    input[type=text]{
        width:83%;
    }
    .addon{
        margin-top: 0px;
        min-height: 33px;
        padding: 3px 5px;
    }
    }
</style>
<div class="wrap">
    <div class="header">
        <img src="<?=plugin_dir_url( __FILE__ ) ?>assets/logo.svg ?>" class="logo" ?>
        <h1>Generează AWB</h1>
    </div>
    <form method="post" action="<?=plugin_dir_url( __DIR__ ) ?>includes/generate.php?order_id=<?= $_GET['order_id'] ?>">
    <div class="column-wrap">
    <table class="form-table">
    <tr><h2>Destinatar</h2></tr>
    <tr valign="top">
    <th>Nume Destinatar</th>
    <td><input type="text" name="destinatar" value="<?php echo $nume;?>"></td>
    </tr>
    <tr valign="top">
    <th>Persoana de Contact</th>
    <td><input type="text" name="contact_person" value="<?php echo $contactPerson;?>"></td>
    </tr>
    <tr valign="top">
    <th>Telefon</th>
    <td><input type="text" name="telefon" value="<?php echo $order->get_billing_phone();?>"></td>
    </tr>
    <tr valign="top">
    <th>Județ</th>
    <td><input type="text" name="judet" value="<?php echo $county;?>"></td>
    </tr>
    <tr valign="top">
    <th>Oraș</th>
    <td><input type="text" name="oras" value="<?php echo $order->get_shipping_city();?>"></td>
    </tr>
    <tr valign="top">
    <th>Adresă Destinatar</th>
    <td><input type="text" name="adresa" value="<?php echo $adresa;?>"></td>
    </tr>
    <tr valign="top">
    <th>Cod Poștal</th>
    <td><input type="text" name="cod_postal" value="<?php echo $order->get_shipping_postcode();?>"></td>
    </tr>
    <?php if($innoship_pudo){?>
    <tr valign="top">
    <th>ID Punct de Ridicare</th>
    <td><input type="text" name="punct_ridicare" value="<?php echo $innoship_pudo;?>"></td>
    </tr>
    <? } ?>
    </table>
    </div>
    <div class="column-wrap">
    <table class="form-table">
    <tr><h2>Detalii Expediere</h2></tr>
    <tr valign="top">
    <th>Plată Transport</th>
    <td><select name="platitor" id="platitor">
        <option value="Sender">Expeditor</option>
        <option value="Recipient">Destinatar</option>
        </select></td>
    </tr>
    <tr valign="top">
    <th>Tipul de plată</th>
    <td><select name="tip_plata" id="tip_plata">
        <option value="bank">Cont Colector</option>
        <option value="cod">Numerar</option>
        </select></td>
    </tr>
    <tr valign="top">
    <th>Valoare</th>
    <td><input type="text" name="valoare" value="<?php echo $ramburs;?>"><span class="addon">Lei</span></td>
    </tr>
    <tr valign="top">
    <th>Conținut</th>
    <td><input type="text" name="continut" value="<?php echo $contents;?>"></td>
    </tr>
    <tr valign="top">
    <th>Nr. Colete</th>
    <td><input type="text" name="nr_colete" value="<?php echo $nr_colete;?>"></td>
    </tr>
    <tr valign="top">
    <th>Nr. Plicuri</th>
    <td><input type="text" name="nr_plicuri" value="0"></td>
    </tr>
    <tr valign="top">
    <th>Greutate</th>
    <td><input type="text" name="greutate" value="<?php echo $weight;?>"><span class="addon">Kg</span></td>
    </tr>
    <tr valign="top">
    <th>Lățime</th>
    <td><input type="text" name="latime" value="<?php echo $width;?>"><span class="addon">cm</span></td>
    </tr>
    <tr valign="top">
    <th>Înălțime</th>
    <td><input type="text" name="inaltime" value="<?php echo $height;?>"><span class="addon">cm</span></td>
    </tr>
    <tr valign="top">
    <th>Lungime</th>
    <td><input type="text" name="lungime" value="<?php echo $length;?>"><span class="addon">cm</span></td>
    </tr>
    </table>
    </div>
    <div class="column-wrap">
    <table class="form-table">
    <tr><h2>Detalii Suplimentare</h2></tr>
    <?php if($livrare_sambata == 1) { ?>
    <tr valign="top">
    <th>Livrare sâmbătă</th>
    <td><input type="checkbox" name="livrare_sambata" id="livrare_sambata" checked></td>
    </tr>
    <?php } if($deschidere_colet == 1) { ?>
    <tr valign="top">
    <th>Deschidere colet la livrare</th>
    <td><input type="checkbox" name="deschidere_colet" id="deschidere_colet" checked></td>
    </tr>
    <?php } ?>
    <tr valign="top">
    <th>Referință 1</th>
    <td><input type="text" name="ref1" value="<?php echo get_bloginfo('name'); ?>"></td>
    </tr>
    <tr valign="top">
    <th>Referință 2</th>
    <td><input type="text" name="ref2" value="<?php echo $order->get_id(); ?>"></td>
    </tr>
    <tr valign="top">
    <th>Referință 3</th>
    <td><input type="text" name="ref3"></td>
    </tr>
    <tr valign="top">
    <th>Referință 4</th>
    <td><input type="text" name="ref4"></td>
    </tr>
    <tr valign="top">
    <th>Observații</th>
    <td><input type="text" name="observatii" value="<?php echo $observatii;?>"></td>
    </tr>
    </table>
    </div>
    <div class="bottom">
    <p class="submit"><input type="submit" name="generate_awb" id="submit" class="button button-primary" value="Genereaza AWB"></p>
    <p style="text-align: center;">© Copyright <script>document.write(new Date().getFullYear());</script> | Un modul dezvoltat de <a href="https://dabex.eu/" target="_blank">Dabex Agency</a></p>
    </div>
    </form>
</div>