<?php
//define('WP_USE_THEMES', false);
require '../../../../wp-load.php';
header("Cache-Control: no-cache, must-revalidate");
$order = wc_get_order($_GET['order_id']);
if(!$order){
    die('Invalid order id');   
}
$awb = get_post_meta($_GET['order_id'], 'awb_innoship', true);
$courier_id = get_post_meta($_GET['order_id'], 'innoship_courier', true);
if(empty($awb)){
    header('Location: ' . admin_url() . 'post.php?post=' . $_GET['order_id'] . '&action=edit');
}
if(isset($_GET['bulk']) && $_GET['bulk'] == 1 && empty($awb)){
    header('Location: ' . admin_url() . 'edit.php?post_type=shop_order');    
}
$response = (new InnoshipAPI)->deleteOrder($courier_id, $awb);
$final_response = json_decode($response);
$errors = $final_response->errors;
if($final_response->success){
    delete_post_meta($_GET['order_id'], 'awb_innoship');
    delete_post_meta($_GET['order_id'], 'awb_status');
    delete_post_meta($_GET['order_id'], 'innoship_courier');
    delete_post_meta($_GET['order_id'], 'awb_tracking_url');
    add_option( 'innoship_succes_delete_error', 'AWB-ul '.$awb.' a fost șters.');
    if(isset($_GET['bulk']) && $_GET['bulk'] == 1){
        header('Location: ' . admin_url() . 'edit.php?post_type=shop_order');
    }
    else{
        header('Location: ' . admin_url() . 'post.php?post=' . $_GET['order_id'] . '&action=edit');
    }
    exit; 
}
if($errors){
   add_option( 'innoship_succes_delete_error', 'Eroare la ștergerea AWB-ului '.$awb);
   if(isset($_GET['bulk']) && $_GET['bulk'] == 1){
       header('Location: ' . admin_url() . 'edit.php?post_type=shop_order');
   }
   else{
        header('Location: ' . admin_url() . 'post.php?post=' . $_GET['order_id'] . '&action=edit');
   }
   exit; 
}
