<?php
/*
* Plugin Name: Woocommerce DBX - Innoship
* Plugin URI: https://dabex.eu
* Description: Cu acest modul aveti posibilitatea de generare, printare si urmarire a AWB-urilor Innoship. Puteti activa si ridicarea personala din Locker-ele/CollectPoint-urile disponibile, conform Innoship.
* Version: 1.0.0
* Author: Dabex Agency
* Author URI: https://dabex.eu
* Requires at least: 4.9.9
* Tested up to: 6.3.2
* Requires PHP: 7.1
* Textdomain: woo-dbx-innoship
*/
// Exit if accessed directly
if (!defined('ABSPATH')) exit;

define('DBX_INNOSHIP_PLUGIN_PATH', plugin_dir_path(__FILE__));
define('DBX_INNOSHIP_PLUGIN_URL', plugin_dir_url(__FILE__));
define('DBX_INNOSHIP_PLUGIN_FILE', __FILE__);
define('DBX_INNOSHIP_JSON', 'https://dabex.eu/module-wp/woocommerce-dbx-innoship/info.json');

include DBX_INNOSHIP_PLUGIN_PATH . '/includes/helper-functions.php';
include DBX_INNOSHIP_PLUGIN_PATH . '/admin/admin.php';
include DBX_INNOSHIP_PLUGIN_PATH . '/admin/handle_plugin.php';
include DBX_INNOSHIP_PLUGIN_PATH . '/admin/functions.php';
include DBX_INNOSHIP_PLUGIN_PATH . '/admin/settings-template.php';
include DBX_INNOSHIP_PLUGIN_PATH . '/includes/innoship.class.php';
include DBX_INNOSHIP_PLUGIN_PATH . '/shipping/shipping-functions.php';
include DBX_INNOSHIP_PLUGIN_PATH . '/shipping/innoship.shipping.class.php';
include DBX_INNOSHIP_PLUGIN_PATH . '/shipping/innoship.pickup.class.php';